Google Authenticator <= 0.47 - Two Factor Authentication Bypass



Description
WordPress 4.5 introduced the ability to login with an email address instead of a username. Google Authenticator v0.47 wasn't aware of the new feature, and didn't properly handle the case where an email address was used instead of a username. Using an email address would allow an attacker with a valid password to bypass the two-factor OTP.

Affects Plugin

fixed in version 0.48

References

URL https://wordpress.org/plugins/google-authenticator/changelog/
URL https://plugins.trac.wordpress.org/changeset/1406125/google-authenticator

Classification

Type AUTHBYPASS
OWASP Top 10 A2: Broken Authentication and Session Management
CWE CWE-287

Miscellaneous

Submitter Anonymous
Views 7293
Verified No
WPVDB ID 8477

Timeline

Publicly Published 2016-04-28 (about 4 years ago)
Added 2016-04-29 (about 4 years ago)
Last Updated 2019-11-01 (8 months ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin